| Home | Libraries | People | FAQ | More

##### field_view::as_blob

Retrieves the underlying value as a blob or throws an exception.

###### Synopsis

    constexpr blob_view
    as_blob() const;

###### Exception safety

Strong guarantee. Throws on type mismatch.

###### Exceptions

Type | Thrown On
--- | ---
`bad_field_access` | If `!this->is_blob()`

###### Object lifetimes

The returned view has the same lifetime rules as `*this` (it's valid as long as `*this` is valid).